> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Throttle Presets

> List available throttle presets (rate limit profiles).



## OpenAPI

````yaml GET /api/v1/access-control/throttle-presets
openapi: 3.1.0
info:
  title: Rigbox Public API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
tags:
  - name: Workspaces
  - name: CLI
  - name: Observability
  - name: Auth
  - name: API Keys
  - name: Access Control
  - name: Apps
  - name: App Catalog
  - name: Logs
  - name: AI
  - name: Tools
  - name: Snapshots
  - name: SSH Keys
  - name: Templates
  - name: Setup Scripts
  - name: Service Specs
  - name: Deploy
  - name: Community
  - name: User Settings
  - name: Roadmap
  - name: System
paths:
  /api/v1/access-control/throttle-presets:
    get:
      tags:
        - Access Control
      summary: List throttle presets.
      description: List the available throttle presets and their rate-limit settings.
      operationId: list_throttle_presets
      parameters:
        - name: resource
          in: query
          description: Canonical resource ref
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Throttle presets
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThrottlePresetsResponse'
      security:
        - bearer: []
components:
  schemas:
    ThrottlePresetsResponse:
      type: object
      required:
        - presets
      properties:
        presets:
          type: array
          items:
            $ref: '#/components/schemas/ThrottlePreset'
    ThrottlePreset:
      type: object
      required:
        - name
        - rules
        - system_managed
        - updated_at
      properties:
        name:
          type: string
        rules: {}
        system_managed:
          type: boolean
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````